package com.iamberry.wechat.service.mapper;
import java.util.List;

import com.iamberry.wechat.core.entity.PaperBean;
import com.iamberry.wechat.core.entity.cart.ShopOrderItemDto;
import com.iamberry.wechat.core.entity.cart.UserGiftDto;
import com.iamberry.wechat.core.entity.product.Product;

public interface ProductInfoMapper {
	
	//分页查询商品信息
	public List<Product> selectPageProduct(Product product);
	
	/**
	 * 根据条件查询产品集合
	 * @param product
	 * @return
	 */
	public List<Product> listSelectProduct(Product product);
	
	//根据productID查询商品信息
	public Product getProductByProductId(Integer productId, Integer colorId);
	
	//根据商品名称查询商品信息
	public List<Product> getProductByProductName(String productName);
	
	//查询在售商品总条目数
	public Integer selectProductCount(Product product);
	
	//查询租赁产品信息
	public Product getLeaseProduct(Integer productId);
	
	
	/**
	 * 获取10条产品信息
	 * @return
	 */
	public List<Product> selectIndexPageProduct();
	
	/**
	 * 批量修改产品购买数量
	 * @return
	 */
	public Integer updateProductNumList(List<ShopOrderItemDto> orderItemList);
	
	/**
	 * 根据商品id查询礼品信息
	 * @param userProductId
	 * @return
	 */
	public UserGiftDto selectUserGift (UserGiftDto userGiftDto);

	/**
	 * 根据colorId查询产品信息
	 * @param colorId
	 * @return
	 */
	Product selectProductByColorId(Integer colorId);
}
